Subject: Re: Suggestion for setup
From: "Robert Collins" <[email-masked]>
To: "Andrew DeFaria" <[email-masked]>
Cc: <[email-masked]>
Date: Thu, 7 Mar 2002 10:14:54 +1100

--
===
"Andrew DeFaria" <[email-masked]> wrote in message
news:[email-masked]...
> Rick Rankin wrote:
>
> > Depends on how you define "harmless". We have a *huge* domain, and
"mkpasswd
> > -d" can take a very long time (20 - 30 minutes) to complete, so I
definitely
> > wouldn't want to run blindly run it with the -d option here. If it
were
> > implemented, it should be an option, at least.
> >
> > When I run mkpasswd here, I generally run it twice, once to get
local machine
> > accounts, and once with the -d *and* -u options to get a specific
user's info
> > from the domain. It might be useful with those options. Hmm, maybe
I'll take a
> > look at that. It would require some fields in the GUI though...
>
> That's why I lobbied (briefly) for setup to allow the user to specify
> their own setup script - a script to be run automatically after Cygwin
> setup is done. This way the various administrators could determine and
> code their own local customizations as it were.

And the setup in beta at the moment sortof-has this capability. Simply
add a new mirror site, with a single package in base called "Andrew's
master script". It's postinstall script will get run.

Rob

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/